#![allow(non_camel_case_types)]
#![allow(non_upper_case_globals)]
#[derive(Debug, Clone, Copy, PartialEq, Eq, Hash)]
#[repr(i32)]
pub enum EWindowsUpdateInstallationImpact {
    Unknown = -1,
    Normal = 0,
    Minor = 1,
    ExclusiveHandling = 2,
}

impl EWindowsUpdateInstallationImpact {
    pub fn from_i32(val: i32) -> Option<Self> {
        match val {
            x if x == Self::Unknown as i32 => Some(Self::Unknown),
            x if x == Self::Normal as i32 => Some(Self::Normal),
            x if x == Self::Minor as i32 => Some(Self::Minor),
            x if x == Self::ExclusiveHandling as i32 => Some(Self::ExclusiveHandling),
            _ => None,
        }
    }
}
